dbXML API

## org.dbxml.core.corba.db
Class KeyHolder

    java.lang.Object
      |
      +--org.dbxml.core.corba.db.KeyHolder

All Implemented Interfaces:
  org.omg.CORBA.portable.Streamable

public final class KeyHolder
extends java.lang.Object
implements org.omg.CORBA.portable.Streamable

Generated from IDL definition of alias "Key"

Author:
  JacORB IDL compiler

Field Summary
`byte[]` `value`

Constructor Summary
`KeyHolder()`
`KeyHolder(byte[] initial)`

Method Summary
`void` `_read(org.omg.CORBA.portable.InputStream in)`
`org.omg.CORBA.TypeCode` `_type()`
`void` `_write(org.omg.CORBA.portable.OutputStream out)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public byte[] value

Constructor Detail

### KeyHolder

    public KeyHolder()

### KeyHolder

    public KeyHolder(byte[] initial)

Method Detail

### _type

    public org.omg.CORBA.TypeCode _type()

  Specified by:
    `_type` in interface `org.omg.CORBA.portable.Streamable`

### _read

    public void _read(org.omg.CORBA.portable.InputStream in)

  Specified by:
    `_read` in interface `org.omg.CORBA.portable.Streamable`

### _write

    public void _write(org.omg.CORBA.portable.OutputStream out)

  Specified by:
    `_write` in interface `org.omg.CORBA.portable.Streamable`

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved